# Uses of Class
jdk.jfr.AnnotationElement

Packages that use AnnotationElement
Package
Description
jdk.jfr
This package provides classes to create events and control Flight Recorder.

## Uses of AnnotationElement in jdk.jfr

Methods in jdk.jfr that return types with arguments of type AnnotationElement
Modifier and Type
Method
Description
`List<AnnotationElement>`
AnnotationElement.`getAnnotationElements()`
Returns an immutable list of annotation elements for this `AnnotationElement`.
`List<AnnotationElement>`
EventType.`getAnnotationElements()`
Returns an immutable list of annotation elements for this event type.
`List<AnnotationElement>`
SettingDescriptor.`getAnnotationElements()`
Returns an immutable list of annotation elements for this value descriptor.
`List<AnnotationElement>`
ValueDescriptor.`getAnnotationElements()`
Returns an immutable list of annotation elements for this value descriptor.
Method parameters in jdk.jfr with type arguments of type AnnotationElement
Modifier and Type
Method
Description
`static EventFactory`
EventFactory.`create(List<AnnotationElement> annotationElements, List<ValueDescriptor> fields)`
Creates an `EventFactory` object.
Constructor parameters in jdk.jfr with type arguments of type AnnotationElement
Modifier
Constructor
Description
``
`ValueDescriptor(Class<?> type, String name, List<AnnotationElement> annotations)`
Constructs a value descriptor, useful for dynamically creating event types and annotations.